TableHolder (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.renderkit.TableHolder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class TableHolder

    java.lang.Object
      org.richfaces.renderkit.TableHolder

    public class TableHolder

extends java.lang.Object

Private class for keep reference to table and intermediate iteration values ( current row styles, events etc )

Author:
  shura

Constructor Summary
`TableHolder(org.ajax4jsf.component.UIDataAdaptor table)`

Method Summary
`java.lang.String` | `getColumnClass(int columnNumber)`
`int` | `getGridRowCounter()`
`java.lang.String` | `getRowClass()`
`java.lang.String` | `getRowClass(int row)`
`int` | `getRowCounter()`
`org.ajax4jsf.component.UIDataAdaptor` | `getTable()`
`int` | `nextRow()` Get current rendered row number, and increment to next value.
`void` | `setGridRowCounter(int gridRowCounter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableHolder

    public TableHolder(org.ajax4jsf.component.UIDataAdaptor table)

Parameters:
  `table` -

Method Detail

### getTable

    public org.ajax4jsf.component.UIDataAdaptor getTable()

  Returns:
    the table

### getRowCounter

    public int getRowCounter()

  Returns:
    the rowCounter

### nextRow

    public int nextRow()

  Get current rendered row number, and increment to next value.

  Returns:
    the rowCounter

### getRowClass

    public java.lang.String getRowClass()

### getRowClass

    public java.lang.String getRowClass(int row)

### getColumnClass

    public java.lang.String getColumnClass(int columnNumber)

### getGridRowCounter

    public int getGridRowCounter()

  Returns:
    the gridRowCounter

### setGridRowCounter

    public void setGridRowCounter(int gridRowCounter)

  Parameters:
    `gridRowCounter` - the gridRowCounter to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.